using System;
using Decal.Interop.Controls;

namespace Decal.Adapter.Wrappers;

public sealed class ChoiceTextIndexer : IDisposable
{
	private Choice myControl;

	public string this[int index]
	{
		get
		{
			return ((IChoice)myControl).get_Text(index);
		}
		set
		{
			((IChoice)myControl).set_Text(index, value);
		}
	}

	internal ChoiceTextIndexer(Choice control)
	{
		myControl = control;
	}

	public void Dispose()
	{
		myControl = null;
	}
}
